Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4091)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4092)
@@ -8,4 +8,5 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive-3.3", "HeuristicLab.Hive\3.3\HeuristicLab.Hive-3.3.csproj", "{C92AAC8C-4D88-449C-ABA5-2B935D769842}"
 	ProjectSection(ProjectDependencies) = postProject
+		{55B89815-F3E7-4D09-9442-273F849141DD} = {55B89815-F3E7-4D09-9442-273F849141DD}
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84} = {4D5A2A16-66C2-431D-9AA3-BD3041E64B84}
 		{21187322-52DD-4243-80A4-A85F0263E63B} = {21187322-52DD-4243-80A4-A85F0263E63B}
@@ -82,10 +83,16 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SpringNET-1.3.0", "HeuristicLab.ExtLibs\HeuristicLab.SpringNET\1.3.0\HeuristicLab.SpringNET-1.3.0.csproj", "{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}"
 EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.Hive.Test", "HeuristicLab.Hive.Test", "{4F2D8149-D608-42B3-BB1C-6909BDA2B350}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Server.Tests", "HeuristicLab.Hive.Server.Tests\HeuristicLab.Hive.Server.Tests.csproj", "{55B89815-F3E7-4D09-9442-273F849141DD}"
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
+		Debug|Mixed Platforms = Debug|Mixed Platforms
 		Debug|x64 = Debug|x64
 		Debug|x86 = Debug|x86
 		Release|Any CPU = Release|Any CPU
+		Release|Mixed Platforms = Release|Mixed Platforms
 		Release|x64 = Release|x64
 		Release|x86 = Release|x86
@@ -94,4 +101,5 @@
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|x64.ActiveCfg = Debug|x64
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|x64.Build.0 = Debug|x64
@@ -100,4 +108,5 @@
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|Any CPU.Build.0 = Release|Any CPU
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|Mixed Platforms.ActiveCfg = Release|x86
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|x64.ActiveCfg = Release|x64
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|x64.Build.0 = Release|x64
@@ -106,4 +115,6 @@
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|x64.ActiveCfg = Debug|x64
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|x64.Build.0 = Debug|x64
@@ -112,4 +123,6 @@
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Mixed Platforms.Build.0 = Release|x64
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|x64.ActiveCfg = Release|x64
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|x64.Build.0 = Release|x64
@@ -118,12 +131,18 @@
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|x64.ActiveCfg = Debug|Any CPU
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|x86.ActiveCfg = Debug|Any CPU
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|Mixed Platforms.Build.0 = Release|Any CPU
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|x64.ActiveCfg = Release|Any CPU
 		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|x86.ActiveCfg = Release|Any CPU
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|x64.ActiveCfg = Debug|x64
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Debug|x64.Build.0 = Debug|x64
@@ -132,4 +151,6 @@
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|Mixed Platforms.Build.0 = Release|x64
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|x64.ActiveCfg = Release|x64
 		{D59E852C-F205-4647-8C05-EB9ED1CF44E9}.Release|x64.Build.0 = Release|x64
@@ -138,4 +159,6 @@
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|x64.ActiveCfg = Debug|x64
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Debug|x64.Build.0 = Debug|x64
@@ -144,4 +167,6 @@
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Any CPU.Build.0 = Release|Any CPU
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|Mixed Platforms.Build.0 = Release|x64
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|x64.ActiveCfg = Release|x64
 		{CE2DFB48-6A9C-4507-96C6-5FC40E92035C}.Release|x64.Build.0 = Release|x64
@@ -150,4 +175,6 @@
 		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|x64.ActiveCfg = Debug|x64
 		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Debug|x64.Build.0 = Debug|x64
@@ -156,4 +183,6 @@
 		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Any CPU.Build.0 = Release|Any CPU
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|Mixed Platforms.Build.0 = Release|x64
 		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|x64.ActiveCfg = Release|x64
 		{AC3D84FF-F0D7-43F0-9C99-9F8DBE087E2C}.Release|x64.Build.0 = Release|x64
@@ -162,4 +191,5 @@
 		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
 		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|x64.ActiveCfg = Debug|x64
 		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Debug|x64.Build.0 = Debug|x64
@@ -168,4 +198,5 @@
 		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|Mixed Platforms.ActiveCfg = Release|x86
 		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|x64.ActiveCfg = Release|x64
 		{E3288D4B-7A51-499A-AC5B-019319CE51DC}.Release|x64.Build.0 = Release|x64
@@ -174,4 +205,6 @@
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|x64.ActiveCfg = Debug|x64
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Debug|x64.Build.0 = Debug|x64
@@ -180,4 +213,6 @@
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Release|Mixed Platforms.Build.0 = Release|x64
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Release|x64.ActiveCfg = Release|x64
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}.Release|x64.Build.0 = Release|x64
@@ -186,4 +221,5 @@
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|x64.ActiveCfg = Debug|x64
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|x64.Build.0 = Debug|x64
@@ -192,4 +228,5 @@
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Mixed Platforms.ActiveCfg = Release|x86
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|x64.ActiveCfg = Release|x64
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|x64.Build.0 = Release|x64
@@ -198,4 +235,5 @@
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|x64.ActiveCfg = Debug|x64
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|x64.Build.0 = Debug|x64
@@ -204,4 +242,5 @@
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|Any CPU.Build.0 = Release|Any CPU
+		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|Mixed Platforms.ActiveCfg = Release|x86
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|x64.ActiveCfg = Release|x64
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|x64.Build.0 = Release|x64
@@ -210,4 +249,5 @@
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|x64.ActiveCfg = Debug|x64
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|x64.Build.0 = Debug|x64
@@ -216,4 +256,5 @@
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Any CPU.Build.0 = Release|Any CPU
+		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Mixed Platforms.ActiveCfg = Release|x86
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x64.ActiveCfg = Release|x64
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x64.Build.0 = Release|x64
@@ -222,4 +263,6 @@
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|x64.ActiveCfg = Debug|x64
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|x64.Build.0 = Debug|x64
@@ -228,4 +271,6 @@
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Mixed Platforms.Build.0 = Release|x64
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|x64.ActiveCfg = Release|x64
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|x64.Build.0 = Release|x64
@@ -234,4 +279,6 @@
 		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Debug|x64.ActiveCfg = Debug|x64
 		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Debug|x64.Build.0 = Debug|x64
@@ -240,4 +287,6 @@
 		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Release|Mixed Platforms.Build.0 = Release|x64
 		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Release|x64.ActiveCfg = Release|x64
 		{C8FEDAC1-0326-4293-B585-F0FEDDEDFC11}.Release|x64.Build.0 = Release|x64
@@ -246,4 +295,6 @@
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|x64.ActiveCfg = Debug|x64
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|x64.Build.0 = Debug|x64
@@ -252,4 +303,6 @@
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Mixed Platforms.Build.0 = Release|x64
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|x64.ActiveCfg = Release|x64
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|x64.Build.0 = Release|x64
@@ -258,4 +311,5 @@
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|x64.ActiveCfg = Debug|x64
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|x64.Build.0 = Debug|x64
@@ -264,4 +318,5 @@
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|Any CPU.Build.0 = Release|Any CPU
+		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|Mixed Platforms.ActiveCfg = Release|x86
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|x64.ActiveCfg = Release|x64
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|x64.Build.0 = Release|x64
@@ -270,4 +325,6 @@
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|x64.ActiveCfg = Debug|x64
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|x64.Build.0 = Debug|x64
@@ -276,4 +333,6 @@
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Any CPU.Build.0 = Release|Any CPU
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Mixed Platforms.Build.0 = Release|x64
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|x64.ActiveCfg = Release|x64
 		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|x64.Build.0 = Release|x64
@@ -282,4 +341,6 @@
 		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|x64.ActiveCfg = Debug|x64
 		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|x64.Build.0 = Debug|x64
@@ -288,4 +349,6 @@
 		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|Any CPU.Build.0 = Release|Any CPU
+		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|Mixed Platforms.Build.0 = Release|x64
 		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|x64.ActiveCfg = Release|x64
 		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|x64.Build.0 = Release|x64
@@ -294,4 +357,6 @@
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|x64.ActiveCfg = Debug|x64
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|x64.Build.0 = Debug|x64
@@ -300,4 +365,6 @@
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|Mixed Platforms.Build.0 = Release|x64
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|x64.ActiveCfg = Release|x64
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Release|x64.Build.0 = Release|x64
@@ -306,4 +373,6 @@
 		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|x64.ActiveCfg = Debug|x64
 		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|x64.Build.0 = Debug|x64
@@ -312,4 +381,6 @@
 		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Any CPU.Build.0 = Release|Any CPU
+		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Mixed Platforms.Build.0 = Release|x64
 		{9076697B-C151-46CD-95BC-1D059492B478}.Release|x64.ActiveCfg = Release|x64
 		{9076697B-C151-46CD-95BC-1D059492B478}.Release|x64.Build.0 = Release|x64
@@ -318,4 +389,5 @@
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|x64.ActiveCfg = Debug|x64
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|x64.Build.0 = Debug|x64
@@ -324,4 +396,5 @@
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|Mixed Platforms.ActiveCfg = Release|x86
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|x64.ActiveCfg = Release|x64
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|x64.Build.0 = Release|x64
@@ -330,4 +403,6 @@
 		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|x64.ActiveCfg = Debug|x64
 		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|x64.Build.0 = Debug|x64
@@ -336,4 +411,6 @@
 		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Mixed Platforms.Build.0 = Release|x64
 		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|x64.ActiveCfg = Release|x64
 		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|x64.Build.0 = Release|x64
@@ -342,4 +419,6 @@
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Debug|x64.ActiveCfg = Debug|x64
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Debug|x64.Build.0 = Debug|x64
@@ -348,8 +427,23 @@
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Release|Any CPU.Build.0 = Release|Any CPU
+		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Release|Mixed Platforms.Build.0 = Release|x86
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Release|x64.ActiveCfg = Release|x64
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Release|x64.Build.0 = Release|x64
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Release|x86.ActiveCfg = Release|x86
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1}.Release|x86.Build.0 = Release|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Debug|Any CPU.ActiveCfg = Debug|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Debug|Any CPU.Build.0 = Debug|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Debug|Mixed Platforms.Build.0 = Debug|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Debug|x64.ActiveCfg = Debug|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Debug|x86.ActiveCfg = Debug|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Debug|x86.Build.0 = Debug|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Release|Any CPU.ActiveCfg = Release|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Release|Mixed Platforms.Build.0 = Release|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Release|x64.ActiveCfg = Release|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Release|x86.ActiveCfg = Release|x86
+		{55B89815-F3E7-4D09-9442-273F849141DD}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -379,4 +473,5 @@
 		{5CDACE54-5FB2-4344-A21C-963F63CB7C2B} = {BD1DE6F6-A188-4D1F-9681-BA7104818370}
 		{48D4AEB1-2247-4B58-8B63-20B81BF8D4B1} = {98B4B360-4F14-4BC5-92F2-9B81F6C712DA}
+		{55B89815-F3E7-4D09-9442-273F849141DD} = {4F2D8149-D608-42B3-BB1C-6909BDA2B350}
 	EndGlobalSection
 EndGlobal
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/ApplicationConstants.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/ApplicationConstants.cs	(revision 4091)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/ApplicationConstants.cs	(revision 4092)
@@ -31,6 +31,8 @@
     public static System.Data.IsolationLevel ISOLATION_LEVEL = IsolationLevel.ReadUncommitted;
 
-    public static System.Transactions.IsolationLevel ISOLATION_LEVEL_SCOPE =
-      System.Transactions.IsolationLevel.ReadUncommitted;
+    /// <summary>
+    /// ReadUncommitted to minimize deadlocks. 
+    /// </summary>
+    public static System.Transactions.IsolationLevel ISOLATION_LEVEL_SCOPE = System.Transactions.IsolationLevel.ReadUncommitted;
     public static int HEARTBEAT_MAX_DIF = 120; // value in seconds
     public static int JOB_TIME_TO_LIVE = 5;
@@ -87,6 +89,5 @@
     public static string RESPONSE_COMMUNICATOR_JOB_WAS_ABORTED = "Job was aborted";
 
-    public static string RESPONSE_COMMUNICATOR_FETCH_OR_FORCEFETCH_CALENDAR =
-      "new Calendar must be fetched / force fetched";
+    public static string RESPONSE_COMMUNICATOR_FETCH_OR_FORCEFETCH_CALENDAR = "new Calendar must be fetched / force fetched";
 
     public static string RESPONSE_JOB_ALL_JOBS = "Job.AllJobs";
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ClientCommunicator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ClientCommunicator.cs	(revision 4091)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ClientCommunicator.cs	(revision 4092)
@@ -40,13 +40,9 @@
   public class ClientCommunicator : IClientCommunicator,
     IInternalClientCommunicator {
-    private static Dictionary<Guid, DateTime> lastHeartbeats =
-      new Dictionary<Guid, DateTime>();
-    private static Dictionary<Guid, int> newAssignedJobs =
-      new Dictionary<Guid, int>();
-    private static Dictionary<Guid, int> pendingJobs =
-      new Dictionary<Guid, int>();
-
-    private static ReaderWriterLockSlim heartbeatLock =
-      new ReaderWriterLockSlim(LockRecursionPolicy.SupportsRecursion);
+    private static Dictionary<Guid, DateTime> lastHeartbeats = new Dictionary<Guid, DateTime>();
+    private static Dictionary<Guid, int> newAssignedJobs = new Dictionary<Guid, int>();
+    private static Dictionary<Guid, int> pendingJobs = new Dictionary<Guid, int>();
+
+    private static ReaderWriterLockSlim heartbeatLock = new ReaderWriterLockSlim(LockRecursionPolicy.SupportsRecursion);
 
     //private ISessionFactory factory;
@@ -81,6 +77,6 @@
       Logger.Debug("Server Heartbeat ticked");
 
+      // [chn] why is transaction management done here
       using (TransactionScope scope = new TransactionScope(TransactionScopeOption.Required, new TransactionOptions { IsolationLevel = ApplicationConstants.ISOLATION_LEVEL_SCOPE })) {
-
         List<ClientDto> allClients = new List<ClientDto>(DaoLocator.ClientDao.FindAll());
 
@@ -144,5 +140,5 @@
         }
         CheckForPendingJobs();
-        DaoLocator.DestroyContext();
+//        DaoLocator.DestroyContext();
         scope.Complete();
       }
@@ -595,5 +591,4 @@
     }
 
-
     /// <summary>
     /// the client can send job results during calculating 
@@ -616,5 +611,4 @@
     }
 
-
     public ResponseResultReceived ProcessSnapshot(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception) {
       return ProcessJobResult(clientId, jobId, result, percentage, exception, false);
@@ -628,5 +622,4 @@
     /// <returns></returns>                       
     public Response Logout(Guid clientId) {
-
       Logger.Info("Client logged out " + clientId);
 
@@ -720,5 +713,4 @@
 
       return response;
-
     }
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DaoLocator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DaoLocator.cs	(revision 4091)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DaoLocator.cs	(revision 4092)
@@ -62,12 +62,4 @@
       }
     }
-
-    public static void DestroyContext() {
-      if (ContextFactory.IsContextNull()) {
-        ContextFactory.Context.Dispose();
-        ContextFactory.Context = null;
-      }
-    }
-
   }
 }
